import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/views/analytics_energy_management_view.dart';
import 'package:syncrow_web/pages/analytics/modules/occupancy/views/analytics_occupancy_view.dart';

enum AnalyticsPageTab {
  energyManagement(
    title: 'Energy Management',
    child: AnalyticsEnergyManagementView(),
  ),
  occupancy(
    title: 'Occupancy',
    child: AnalyticsOccupancyView(),
  );

  const AnalyticsPageTab({
    required this.title,
    required this.child,
  });

  final Widget child;
  final String title;
}
